Bridge
Date: 2019-10-22

org.jmol.dssx

## Class Bridge

- java.lang.Object
- - org.jmol.dssx.Bridge

-     class Bridge
      extends java.lang.Object

  A class for cataloging ladder bridges in a DSSP calculation
  Author:
    hansonr

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) Atom` | `a`
    `(package private) Atom` | `b`
    `(package private) boolean` | `isAntiparallel`
    `(package private) int[][]` | `ladder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Bridge(Atom a, Atom b, java.util.Map<int[][],java.lang.Boolean> htLadders)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) boolean` | `addBridge(Bridge bridge, java.util.Map<int[][],java.lang.Boolean> htLadders)`
    `private void` | `addLadder(java.util.Map<int[][],java.lang.Boolean> htLadders)`
    `private boolean` | `canAdd(Bridge bridge)`
    `private void` | `extendLadder(int index1, int index2)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### a

          Atom a

    - #### b

          Atom b

    - #### ladder

          int[][] ladder

    - #### isAntiparallel

          boolean isAntiparallel

  - ### Constructor Detail

    - #### Bridge

          Bridge(Atom a,
                 Atom b,
                 java.util.Map<int[][],java.lang.Boolean> htLadders)

  - ### Method Detail

    - #### addBridge

          boolean addBridge(Bridge bridge,
                            java.util.Map<int[][],java.lang.Boolean> htLadders)

    - #### addLadder

          private void addLadder(java.util.Map<int[][],java.lang.Boolean> htLadders)

    - #### canAdd

          private boolean canAdd(Bridge bridge)

    - #### extendLadder

          private void extendLadder(int index1,
                                    int index2)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`